Skip to main content
POST
/
api
/
v1
/
projects
/
{project_slug}
/
apps
Create App
curl --request POST \
  --url https://api.example.com/api/v1/projects/{project_slug}/apps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('https://api.example.com/api/v1/projects/{project_slug}/apps', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.example.com/api/v1/projects/{project_slug}/apps"

payload = { "name": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "framework": "<string>",
  "icon": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_slug
string
required

Body

application/json
name
string
required
slug
string
default:""
description
string
default:""
framework
string
default:fastapi

Response

201 - application/json

Created

id
string<uuid>
required
project_id
string<uuid>
required
name
string
required
slug
string
required
description
string
required
framework
string
required
icon
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required